org.apache.tinkerpop.gremlin.spark.structure.io

## Interface InputRDD

- All Known Implementing Classes:
    InputFormatRDD, PersistedInputRDD

      public interface InputRDD

  An InputRDD is used to read data from the underlying graph system and yield the respective adjacency list. Note that `InputFormatRDD` is a type of InputRDD that simply uses the specified `org.apache.hadoop.mapreduce.InputFormat` to generate the respective graphRDD.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `readGraphRDD(Configuration configuration, JavaSparkContext sparkContext)` Read the graphRDD from the underlying graph system.
    `default <K,V> <any>` | `readMemoryRDD(Configuration configuration, String memoryKey, JavaSparkContext sparkContext)` Read a memoryRDD from the storage location.

- - ### Method Detail

    - #### readGraphRDD

          <any> readGraphRDD(Configuration configuration,
                             JavaSparkContext sparkContext)

      Read the graphRDD from the underlying graph system.
      Parameters:
        `configuration` - the configuration for the `SparkGraphComputer`
        `sparkContext` - the Spark context with the requisite methods for generating a `JavaPairRDD`
      Returns:
        an adjacency list representation of the underlying graph system.

    - #### readMemoryRDD

          default <K,V> <any> readMemoryRDD(Configuration configuration,
                                            String memoryKey,
                                            JavaSparkContext sparkContext)

      Read a memoryRDD from the storage location. The default implementation returns an empty RDD.
      Type Parameters:
        `K` - the key class of the memoryRDD
        `V` - the value class of the memoryRDD
      Parameters:
        `configuration` - the configuration for the `SparkGraphComputer`
        `memoryKey` - the memory key of the memoryRDD
        `sparkContext` - the Spark context with the requisite methods for generating a `JavaPairRDD`
      Returns:
        the memoryRDD with respective key/value pairs.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.